import { OptionType } from '@/components/input/SelectInput';
import * as Yup from 'yup';

export const ProductFilterSchema = Yup.object().shape({
  product_category: Yup.object({
    value: Yup.string().nullable(),
    label: Yup.string().nullable(),
  }).nullable(),
});

export type ProductFilterType = {
  product_category?: OptionType<string>;
};
